Bug 1150441

Summary: Review Request: iv - InterViews graphical library
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: Package ReviewAssignee: Jerry James <loganjerry>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: loganjerry, package-review, sanjay.ankur
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: loganjerry: fedora-review?
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-17 14:14:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1276941, 1249094    

Description Ankur Sinha (FranciscoD) 2014-10-08 10:26:12 UTC
Spec URL: https://ankursinha.fedorapeople.org/iv/iv.spec

SRPM URL: https://ankursinha.fedorapeople.org/iv/iv-3.2b.hines18-1.fc21.src.rpm

Description: 

InterViews is a native C++ toolkit for X Windows developed by Mark Linton and
his team at Stanford University and later Silicon Graphics. The last major
release was InterViews 3.1 in 1993, and included the Unidraw drawing editor
application framework which was the basis of John Vlissides' thesis work at
Stanford. InterViews also has lightweight glyphs with switchable look-and-feel
(Apple monochrome, Motif, OpenLook, and SGI Motif). It has been ported to most
any Unix which runs X11. Other programmers known to have worked on InterViews
include Paul Calder, John Interrante, Steven Tang, and Scott Stanton. 


Fedora Account System Username: ankursinha

Comment 1 Antonio 2014-11-11 13:46:06 UTC
- Don't use both $RPM_BUILD_ROOT and %{buildroot}, only one.
- --disable-rpath options is unrecognized
- Libtool archives, foo.la files, should not be included.
- /usr/share/app-defaults is created but not owned by this package.
- This package uses libtiff bundled files (include/TIFF) already package in Fedora. Please, patch the source code to use system libtiff if possible.

#rm -rf include/TIFF
#rm -rf src/lib/TIFF #src/lib/OS

Are there are problems with system libtiff?

- Why make parallel macro is not used? (leave a comment) 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- Package does not contain any libtool archives (.la)
  Note: iv-static : /usr/lib64/libIVhines.la iv-static :
  /usr/lib64/libUnidrawhines.la
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "LGPL (v2 or later) (with incorrect FSF address)",
     "Unknown or generated". 667 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/1150441-iv/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[?]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/app-defaults
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/app-defaults
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: iv-3.2b.hines18-1.fc22.x86_64.rpm
          iv-devel-3.2b.hines18-1.fc22.x86_64.rpm
          iv-static-3.2b.hines18-1.fc22.x86_64.rpm
          iv-3.2b.hines18-1.fc22.src.rpm
iv.x86_64: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
iv.x86_64: W: shared-lib-calls-exit /usr/lib64/libIVhines.so.3.0.3 exit@GLIBC_2.2.5
iv.x86_64: W: no-manual-page-for-binary iclass
iv.x86_64: W: no-manual-page-for-binary idemo
iv.x86_64: W: no-manual-page-for-binary idraw
iv-devel.x86_64: W: only-non-binary-in-usr-lib
iv-devel.x86_64: W: no-documentation
iv-static.x86_64: W: only-non-binary-in-usr-lib
iv-static.x86_64: W: no-documentation
iv.src: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
iv.src:9: W: macro-in-comment %{version}
iv.src:64: W: macro-in-comment %{buildroot}
iv.src:64: W: macro-in-comment %{_libdir}
4 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint iv-devel iv-static iv
iv-devel.x86_64: W: only-non-binary-in-usr-lib
iv-devel.x86_64: W: no-documentation
iv-static.x86_64: W: only-non-binary-in-usr-lib
iv-static.x86_64: W: no-documentation
...
A lot of undefined-non-weak-symbol warnings
...
iv.x86_64: W: shared-lib-calls-exit /usr/lib64/libIVhines.so.3.0.3 exit@GLIBC_2.2.5
iv.x86_64: W: no-manual-page-for-binary iclass
iv.x86_64: W: no-manual-page-for-binary idemo
iv.x86_64: W: no-manual-page-for-binary idraw
3 packages and 0 specfiles checked; 0 errors, 566 warnings.
# echo 'rpmlint-done:'



Requires
--------
iv-devel (rpmlib, GLIBC filtered):
    iv(x86-64)
    libIVhines.so.3()(64bit)
    libUnidrawhines.so.3()(64bit)

iv-static (rpmlib, GLIBC filtered):
    iv(x86-64)

iv (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libIVhines.so.3()(64bit)
    libUnidrawhines.so.3()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
iv-devel:
    iv-devel
    iv-devel(x86-64)

iv-static:
    iv-static
    iv-static(x86-64)
    libtool(/usr/lib64/libIVhines.la)
    libtool(/usr/lib64/libUnidrawhines.la)

iv:
    iv
    iv(x86-64)
    libIVhines.so.3()(64bit)
    libUnidrawhines.so.3()(64bit)



Source checksums
----------------
http://www.neuron.yale.edu/ftp/neuron/versions/v7.3/iv-18.tar.gz :
  CHECKSUM(SHA256) this package     : a875692a20211e0856e9e283ab9ef5da022b4d49853aa7f2f734104f399e7af1
  CHECKSUM(SHA256) upstream package : a875692a20211e0856e9e283ab9ef5da022b4d49853aa7f2f734104f399e7af1


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1150441
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Ankur Sinha (FranciscoD) 2015-08-02 11:02:18 UTC
Ah! I didn't see the review! Sorry about that Antonio! I'll work on this right away!

Comment 3 Ankur Sinha (FranciscoD) 2015-08-02 11:02:40 UTC
*** Bug 1249096 has been marked as a duplicate of this bug. ***

Comment 4 Antonio 2016-02-28 18:44:29 UTC
We are late...

Comment 5 Ankur Sinha (FranciscoD) 2016-05-02 14:53:44 UTC
I got down to this - and it turns out the build is broken in the mercurial repo. I'll have to fix and patch it again. Working on it now.

Comment 6 Ankur Sinha (FranciscoD) 2017-12-17 14:14:53 UTC
Lots of changes, dropping it for the time being.

Comment 7 Ankur Sinha (FranciscoD) 2018-08-26 09:55:41 UTC
WIP, Working on it now.

Comment 8 Ankur Sinha (FranciscoD) 2019-01-02 11:54:52 UTC
We cannot proceed with this until upstream updates iv to use a new libtiff version. Issue reported here: https://github.com/neuronsimulator/iv/issues/3

I'll try to do it if/when I find cycles. I've built neuron without iv support for the time being.

Comment 9 Ankur Sinha (FranciscoD) 2019-11-09 21:49:33 UTC
Spec URL: https://ankursinha.fedorapeople.org/iv/iv.spec
SRPM URL: https://ankursinha.fedorapeople.org/iv/iv-0-0.20191106git74f1207.fc32.src.rpm

Description:
The InterViews graphical library used by NEURON.


FAS username: ankursinha

Successful rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=38870876


This is now ready for review :D

Comment 10 Jerry James 2019-11-12 15:40:11 UTC
I will take this review.  Can you take bug 1765729 in exchange?

Comment 11 Jerry James 2019-11-12 16:46:47 UTC
Argh.  Bugzilla just complained that this comment is longer than 65535 characters, so I'm splitting it up into two parts.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues
==============
1. Some of the compiler warnings are troubling.  In particular:
   a. -Wsequence-point: this indicates undefined behavior.  In fact, this
      warning seems to point to a typo in the code; idarrows.cpp line 514 is:

      _x[l] = _x[k] = _x[j] = tx1; _y[l] = _y[k] = _y[k] = ty1;

      Note the assignment of _y[k] to itself.  By analogy with the _x array
      settings, it seems probable that the second of those should be _y[j]
      instead.
   b. -Wstrict-aliasing: the compiler can produce code in this case that is
      quite different from what you would expect, and can lead to crashes.  I
      have seen this happen in practice numerous times; this is not merely an
      academic issue.  One solution is to add -fno-strict-aliasing to the build
      flags, but that pessimizes the entire library.  Another approach is to
      use memcpy() to move the bits in question between entities of different
      types.  Still another approach is to store data in a union, so the same
      bits are accessible as different types.  Let me know if you would like me
      to examine the code and propose a solution.
   c. -Wchar-subscripts: the type "char" is problematic as an array index type
      because it is signed on some architectures and unsigned on others.  The
      code should be examined to ensure that, where it is signed, the subscripts
      only take on values in the range 0 to 127.

2. This is in %files:

   # Nothing else owns it, obsolete?
   %{_datadir}/app-defaults/

   That's the wrong directory.  It should be %{_datadir}/X11/app-defaults.  The
   difficulty is that that directory is owned by libXt, but this package does
   not Requires: libXt.  Since that dependency is not generated automatically,
   you will probably have to add it manually.

3. Note the undefined-non-weak-symbol warnings from rpmlint.  Those indicate
   cases of underlinking.  In particular, libIVhines.so.3.0.3 should have been
   linked with -lX11 and libUnidrawhines.so.3.0.3 should have been linked with
   -lIVhines.

4. Not really an issue, just a tip.  The "find" command takes a -delete flag,
   so you could write the find line in %install less verbosely, like this:

   find $RPM_BUILD_ROOT -name '*.la' -delete

5. Since the -devel subpackage Requires the main package, you do not need to
   include the license file in -devel, but you may do so if you wish.

===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
     Package contains bundled libtiff, but it is marked with a Provides as
     required.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Comment 12 Jerry James 2019-11-12 16:47:11 UTC
Rpmlint
-------
Checking: iv-0-0.20191106git74f1207.fc32.x86_64.rpm
          iv-devel-0-0.20191106git74f1207.fc32.x86_64.rpm
          iv-debuginfo-0-0.20191106git74f1207.fc32.x86_64.rpm
          iv-debugsource-0-0.20191106git74f1207.fc32.x86_64.rpm
          iv-0-0.20191106git74f1207.fc32.src.rpm
iv.x86_64: W: shared-lib-calls-exit /usr/lib64/libIVhines.so.3.0.3 exit@GLIBC_2.2.5
iv.x86_64: W: no-manual-page-for-binary iclass
iv.x86_64: W: no-manual-page-for-binary idemo
iv.x86_64: W: no-manual-page-for-binary idraw
iv-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint (debuginfo)
-------------------
Checking: iv-debuginfo-0-0.20191106git74f1207.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Rpmlint (installed packages)
----------------------------
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetFillStyle
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XQueryColors
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetImage
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XTextWidth
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetFontProperty
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFreeFontNames
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFreeFont
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XResourceManagerString
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XStoreName
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreatePixmap
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSendEvent
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XWindowEvent
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetWindowProperty
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XTextExtents16
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateSimpleWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetErrorHandler
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XListFonts
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSynchronize
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetForeground
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XUndefineCursor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGrabPointer
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XQueryTree
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetWMHints
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawImageString
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetFont
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCopyArea
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawLines
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateGC
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFillRectangle
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetWMProtocols
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateFontCursor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFreeGC
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetClassHint
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDestroyRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSelectInput
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateColormap
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetClipMask
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XAutoRepeatOff
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XBell
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XChangeGC
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawRectangle
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreatePixmapCursor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetNormalHints
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XInternAtom
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XParseColor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawArc
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XAllocWMHints
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawPoint
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetVisualInfo
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XAllocColor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XMoveWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawPoints
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XChangeProperty
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateGlyphCursor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetClipOrigin
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetIconName
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XLookupString
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XMoveResizeWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XPending
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XUngrabPointer
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawString
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XParseGeometry
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XRecolorCursor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XPutBackEvent
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFreeCursor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XIntersectRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetSelectionOwner
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XEventsQueued
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetSubwindowMode
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XMapWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XQueryPointer
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XRaiseWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateBitmapFromData
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XChangePointerControl
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XPolygonRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCopyGC
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XUnionRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFree
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCopyPlane
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetBackground
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XLookupKeysym
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XOpenDisplay
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawText
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XTextWidth16
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetDashes
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XNextEvent
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetErrorText
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XResizeWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetWindowBackground
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XUnmapWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XWarpPointer
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetGraphicsExposures
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XAutoRepeatOn
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetStipple
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XEmptyRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetTransientForHint
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XTextExtents
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFlush
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XChangeKeyboardControl
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCreateWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFillArc
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetWMHints
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDestroyWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XLowerWindow
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawLine
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetLineAttributes
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XTranslateCoordinates
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XQueryColor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XReadBitmapFile
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetCommand
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDefineCursor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetFunction
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetClipRectangles
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetWindowAttributes
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFreePixmap
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XLoadQueryFont
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSetPlaneMask
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XFillPolygon
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XInstallColormap
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XUnionRectWithRegion
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XCloseDisplay
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XSync
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XGetAtomName
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XMapRaised
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XPutImage
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libIVhines.so.3.0.3 XDrawString16
iv.x86_64: W: shared-lib-calls-exit /usr/lib64/libIVhines.so.3.0.3 exit@GLIBC_2.2.5
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivResource
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::ref() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::unref() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::unref_deferred() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::cleanup()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for iv2_6_Dialog
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivStringChooser
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for iv2_6_FileChooser
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivButtonState
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::request(ivRequisition&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::allocate(ivCanvas*, ivAllocation const&, ivExtension&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::draw(ivCanvas*, ivAllocation const&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::print(ivPrinter*, ivAllocation const&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::pick(ivCanvas*, ivAllocation const&, int, ivHit&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::undraw()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::clone() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::compose(unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::append(ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::prepend(ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::insert(long, ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::remove(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::replace(long, ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::change(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::count() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::component(long) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGlyph::allotment(long, unsigned int, ivAllotment&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::Reconfig()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Reshape(ivShape&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::GetComponents(ivInteractor**, int, ivInteractor**&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::Draw()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::Highlight(bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Handle(ivEvent&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Adjust(ivPerspective&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Update()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Redraw(int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::RedrawList(int, int*, int*, int*, int*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::Resize()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Activate()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Deactivate()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::Orphan()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::Wrap(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::DoInsert(ivInteractor*, bool, int&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::DoChange(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::DoMove(ivInteractor*, int&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::DoRemove(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::DoRaise(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::DoLower(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_Dialog::Accept()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_Dialog::Popup(ivEvent&, bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::Handle(ivEvent&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::Accept()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::Choice()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::SwitchFocus()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::CanFocus(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::HandleFocus()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::UpdateEditor()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::UpdateBrowser()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivSubject
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSubject::Attach(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSubject::Detach(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSubject::Notify()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSubject::IsView(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::Update()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::Accept()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivInputHandler
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::request(ivRequisition&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::allocate(ivCanvas*, ivAllocation const&, ivExtension&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::draw(ivCanvas*, ivAllocation const&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::print(ivPrinter*, ivAllocation const&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::pick(ivCanvas*, ivAllocation const&, int, ivHit&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::undraw()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::append(ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::prepend(ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::insert(long, ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::remove(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::replace(long, ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::change(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::count() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::component(long) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::allotment(long, unsigned int, ivAllotment&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::body(ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoGlyph::body() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::handler() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::parent() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::style() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::append_input_handler(ivInputHandler*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::remove_input_handler(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::remove_all_input_handlers()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::input_handler_count() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::input_handler(long) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::focus(ivInputHandler*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::next_focus()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::prev_focus()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::move(ivEvent const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::press(ivEvent const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::drag(ivEvent const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::release(ivEvent const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::double_click(ivEvent const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::focus_in()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::focus_out()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::allocation_changed(ivCanvas*, ivAllocation const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::inside(ivEvent const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::canvas() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::transformer() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::allocation() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::redraw() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::repick(int, ivHit&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivInteractor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Reconfig()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::GetComponents(ivInteractor**, int, ivInteractor**&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Orphan()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivSlidingEllipse
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivRubberband
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberband::Redraw()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberband::Erase()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberband::Track(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberband::SetPainter(ivPainter*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberband::SetCanvas(ivCanvas*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberEllipse::GetOriginal(int&, int&, int&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSlidingEllipse::GetCurrent(int&, int&, int&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSlidingEllipse::OriginalRadii(int&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSlidingEllipse::CurrentRadii(int&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivBrush
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivColor
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivFont
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivPattern
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::width() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::dash_count() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::dash_list(int) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::distinguished(ivDisplay*, ivColor const*) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::intensities(ivDisplay*, float&, float&, float&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::alpha() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::op() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::brightness(float) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::cleanup()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::name() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::encoding() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::size() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::font_bbox(ivFontBoundingBox&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::char_bbox(long, ivFontBoundingBox&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::string_bbox(char const*, int, ivFontBoundingBox&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::width(long) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::width(char const*, int) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::index(char const*, int, float, bool) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivMonoScene
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Draw()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Highlight(bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Resize()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 typeinfo for ivControl
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Handle(ivEvent&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Enable(bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Select()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Unselect()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Do()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Down()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Enter()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Open()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Grab()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Skip()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Leave()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Close()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Up()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Busy()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::Done()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::IsGrabbing(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivinch
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 noEvents
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivcm
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivpoints
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 updownEvents
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 vtable for ivRubberEllipse
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivinches
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 allEvents
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::AddStyle(int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSensor::Catch(unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::InvTransformList(int*, int*, int, int*, int*) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivCanvas::Height() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::translate(float, float)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSensor::ivSensor()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Listen(ivSensor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::UpdateEditor()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringEditor::ivText()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::BeginningOfNextLine(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::unref(ivResource const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_Dialog::~iv2_6_Dialog()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::Insert(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivButtonState::~ivButtonState()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::Width(char const*) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::~ivTransformer()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::Width() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPerspective::operator!=(ivPerspective&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivHBox::ivHBox(ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScalingLine::CurrentScaling()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTarget::ivTarget(ivGlyph*, TargetSensitivity)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGrowingClosedBSpline::ivGrowingClosedBSpline(ivPainter*, ivCanvas*, int*, int*, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::SetClassName(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::BeginningOfWord(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::ivResource()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMessage::ivMessage(char const*, unsigned int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::iv2_6_FileChooser(ivButtonState*, char const*, int, int, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_DownMover::iv2_6_DownMover(ivInteractor*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Height()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSession::style() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_VScroller::iv2_6_VScroller(ivInteractor*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPerspective::Update()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringBrowser::ivStringBrowser(ivButtonState*, int, int, bool, int, char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingLine::ivRotatingLine(ivPainter*, ivCanvas*, int, int, int, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBitmap::Bottom() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberEllipse::ivRubberEllipse(ivPainter*, ivCanvas*, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::ivTransformer(ivTransformer const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::InsertText(int, int, char const*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Base(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPerspective::~ivPerspective()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::EndOfPreviousWord(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::DeleteLinesAfter(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringEditor::ivStringEditor(ivButtonState*, char const*, char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::SetCanvasType(CanvasType)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Redraw(int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::~ivStringChooser()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Top(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::exists(ivDisplay*, char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::GetCursor() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::TransformRect(int&, int&, int&, int&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::FillBg(bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSubject::Notify()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivVBox::ivVBox(ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::DeleteText(int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivShape::Rect(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::Init(char const*, char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::InvTransformRect(float&, float&, float&, float&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivDialogKit::instance()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringEditor::ivMessage(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::EndOfLine(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::Insert(int, char const*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::LineOffset(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivHBox::ivHBox(ivInteractor*, ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingLineList::OriginalAngle()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingLineList::CurrentAngle()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScalingRect::ivScalingRect(ivPainter*, ivCanvas*, int, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStyle::ivStyle(ivStyle*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::SelectMessage()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::SetInstance(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTIFFRaster::load(char const*, bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::Transform(int&, int&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::ref(ivResource const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::ivStringChooser(ivButtonState*, int, int, char const*, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::UnRead(ivEvent&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::CaretStyle(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::~ivTextDisplay()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGrowingBSpline::ivGrowingBSpline(ivPainter*, ivCanvas*, int*, int*, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::LineNumber(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::ivTextBuffer(char*, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::Width(char const*, int) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivResource::~ivResource()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivEvent::ivEvent()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::operator==(ivTransformer const&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_HGlue::iv2_6_HGlue(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::ivPainter()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::ivInputHandler(ivGlyph*, ivStyle*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::ivFont(char const*, float)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingLine::OriginalAngle()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::RemoveStyle(int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringBrowser::osString(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGrowingPolygon::ivGrowingPolygon(ivPainter*, ivCanvas*, int*, int*, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::ivMessage(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSensor::ivSensor(ivSensor const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::EndOfWord(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::InsertLinesAfter(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberband::~ivRubberband()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_Dialog::iv2_6_Dialog(char const*, ivButtonState*, ivInteractor*, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::GetFont() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivWorld::current()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::SetPattern(ivPattern const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::ivInteractor()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPattern::ivPattern(int const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::SetFont(ivFont const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Right(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBitmap::ivBitmap(void const*, unsigned int, unsigned int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringEditor::Select(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::ivTextDisplay(bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Bounds(int&, int&, int&, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_Dialog::iv2_6_Dialog(ivButtonState*, ivInteractor*, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberGroup::ivRubberGroup(ivPainter*, ivCanvas*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSlidingLine::ivSlidingLine(ivPainter*, ivCanvas*, int, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::ivMonoScene()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::BeginningOfLine(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::ivPainter(ivPainter*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::Reconfig()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivWorld::ivWorld(char const*, int&, char**, ivOptionDesc const*, ivPropertyData const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::ivTransformer(float, float, float, float, float, float)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberLine::ivRubberLine(ivPainter*, ivCanvas*, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::ivBrush(float)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::invert()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::GetFgColor() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Poll(ivEvent&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivHBox::ivHBox(ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMarginFrame::ivMarginFrame(ivInteractor*, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivButtonState::SetValue(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::SetState(ivControlState*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ListImpl_range_error(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::~ivBrush()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivGrowingMultiLine::ivGrowingMultiLine(ivPainter*, ivCanvas*, int*, int*, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::LineHeight(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 __AnyPtrList::~__AnyPtrList()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::~ivControl()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::LineIndex(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::InvTransform(int, int, int&, int&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::ivStringChooser(ivButtonState*, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::SetTitle(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::LineNumber(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivButtonState::ivButtonState()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScalingRect::CurrentScaling()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::operator=(ivTransformer const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::GetTransformer() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::EndOfPreviousLine(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScalingLineList::ivScalingLineList(ivPainter*, ivCanvas*, int*, int*, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivEvent::operator=(ivEvent const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStyle::attribute(char const*, char const*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::postmultiply(ivTransformer const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::BgFilled() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStyle::alias(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_PushButton::iv2_6_PushButton(char const*, ivButtonState*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransientWindow::ivTransientWindow(ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::ReplaceText(int, char const*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSession::instance()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_VGlue::iv2_6_VGlue(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::UpdateBrowser()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSlidingRect::ivSlidingRect(ivPainter*, ivCanvas*, int, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivVBox::ivVBox(ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::TransformRect(float&, float&, float&, float&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivButtonState::ivButtonState(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBitmap::open(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::AddScroller(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStretchingRect::ivStretchingRect(ivPainter*, ivCanvas*, int, int, int, int, Side, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::ivColor(float, float, float, float, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberRect::ivRubberRect(ivPainter*, ivCanvas*, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivEvent::~ivEvent()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRaster::ivRaster(unsigned long, unsigned long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFrame::ivFrame(ivInteractor*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivButtonState::ivButtonState(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 osNullTerminatedString::osNullTerminatedString(osString const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::Read(ivEvent&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSlidingLineList::ivSlidingLineList(ivPainter*, ivCanvas*, int*, int*, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 __AnyPtrList::remove(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivCanvas::Width() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 __AnyPtrList::__AnyPtrList(long)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::BeginningOfNextWord(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::ivControl(char const*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringBrowser::Remove(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Draw(ivPainter*, ivCanvas*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScalingLine::ivScalingLine(ivPainter*, ivCanvas*, int, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::operator!=(ivTransformer const&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBitmap::Left() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 __AnyPtrList::insert(long, void* const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::ivControl(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringBrowser::Insert(char const*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::ivTransformer()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_FileChooser::~iv2_6_FileChooser()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Width()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 osMemory::copy(void const*, void*, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivApplicationWindow::ivApplicationWindow(ivGlyph*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::GetBgColor() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::~ivFont()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberHandles::ivRubberHandles(ivPainter*, ivCanvas*, int*, int*, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBitmap::ivBitmap(ivBitmap const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPerspective::ivPerspective(ivPerspective&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberGroup::First()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScalingLineList::CurrentScaling()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivHBox::ivHBox(ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::SetBrush(ivBrush const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::Transform(int, int, int&, int&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::TransformList(int*, int*, int, int*, int*) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringChooser::Init(ivStringEditor*, ivStringBrowser*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringBrowser::Index(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingRect::CurrentAngle()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivHBox::ivHBox(ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Left(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivScene::Change(ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingRect::ivRotatingRect(ivPainter*, ivCanvas*, int, int, int, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivVBox::ivVBox(ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::find(ivDisplay const*, char const*, float&, float&, float&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 osMemory::zero(void*, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringEditor::Edit()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPattern::~ivPattern()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Resize(int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 osNullTerminatedString::~osNullTerminatedString()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::calc_dashes(int, int*, int&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::SetColors(ivColor const*, ivColor const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_UpMover::iv2_6_UpMover(ivInteractor*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStyle::name(char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPerspective::operator=(ivPerspective&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMonoScene::~ivMonoScene()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingLine::CurrentAngle()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivColor::~ivColor()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::LineIndex(int, int, bool)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivVBorder::ivVBorder(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRotatingLineList::ivRotatingLineList(ivPainter*, ivCanvas*, int*, int*, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::MoveTo(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivBrush::ivBrush(int, float)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 osMemory::compare(void const*, void const*, unsigned int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivShape::Rigid(int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMarginFrame::ivMarginFrame(ivInteractor*, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberband::ivRubberband(ivPainter*, ivCanvas*, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::Caret(int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivStringBrowser::Clear()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPattern::ivPattern(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextBuffer::~ivTextBuffer()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::InvTransform(int&, int&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivHBorder::ivHBorder(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivFont::Height() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRubberGroup::Append(ivRubberband*, ivRubberband*, ivRubberband*, ivRubberband*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::~ivInteractor()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivControl::RootControl()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivSlidingEllipse::ivSlidingEllipse(ivPainter*, ivCanvas*, int, int, int, int, int, int, int, int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPerspective::ivPerspective()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivMatchEditor::ivMatchEditor(ivButtonState*, char const*, char const*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivVBox::ivVBox(ivInteractor*, ivInteractor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::Transform(float, float, float&, float&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::InvTransform(float, float, float&, float&) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivPainter::SetTransformer(ivTransformer*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::GetWorld() const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivRaster::ivRaster(ivRaster const&)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivEvent::handle()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInputHandler::~ivInputHandler()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTextDisplay::TabWidth(int)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivTransformer::TransformList(int*, int*, int) const
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivInteractor::SetCursor(ivCursor*)
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 ivWidgetKit::instance()
iv.x86_64: W: undefined-non-weak-symbol /usr/lib64/libUnidrawhines.so.3.0.3 iv2_6_RadioButton::iv2_6_RadioButton(char const*, ivButtonState*, int)
iv.x86_64: W: no-manual-page-for-binary iclass
iv.x86_64: W: no-manual-page-for-binary idemo
iv.x86_64: W: no-manual-page-for-binary idraw
iv-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 562 warnings.



Source checksums
----------------
https://github.com/neuronsimulator/iv/archive/74f120781bc2def0cc4d1f9f547c07037e8a7a74/iv-74f1207.tar.gz :
  CHECKSUM(SHA256) this package     : 174c98bbc87354f8276f79b2dabb81918b99b6cc8a2951056f380ed24294d3a5
  CHECKSUM(SHA256) upstream package : 174c98bbc87354f8276f79b2dabb81918b99b6cc8a2951056f380ed24294d3a5


Requires
--------
iv (rpmlib, GLIBC filtered):
    libIVhines.so.3()(64bit)
    libUnidrawhines.so.3()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

iv-devel (rpmlib, GLIBC filtered):
    iv(x86-64)
    libIVhines.so.3()(64bit)
    libUnidrawhines.so.3()(64bit)

iv-debuginfo (rpmlib, GLIBC filtered):

iv-debugsource (rpmlib, GLIBC filtered):



Provides
--------
iv:
    bundled(libtiff)
    iv
    iv(x86-64)
    libIVhines.so.3()(64bit)
    libUnidrawhines.so.3()(64bit)

iv-devel:
    iv-devel
    iv-devel(x86-64)

iv-debuginfo:
    debuginfo(build-id)
    iv-debuginfo
    iv-debuginfo(x86-64)

iv-debugsource:
    iv-debugsource
    iv-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1150441 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Perl, Java, Ocaml, R, SugarActivity, PHP, Ruby, Python, fonts, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH